List workbooks and their saved flows
curl --request GET \
--url https://api.gumloop.com/api/v1/list_workbooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gumloop.com/api/v1/list_workbooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gumloop.com/api/v1/list_workbooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workbooks": [
{
"workbook_id": "<string>",
"name": "<string>",
"description": "<string>",
"created_ts": "2023-11-07T05:31:56Z",
"saved_items": [
{
"saved_item_id": "<string>",
"name": "<string>",
"description": "<string>",
"created_ts": "2023-11-07T05:31:56Z"
}
]
}
]
}List workbooks and their saved flows
GET
/
list_workbooks
List workbooks and their saved flows
Authorizations
Query Parameters
The user ID for which to list workbooks. Required if project_id is not provided.
The project ID for which to list workbooks. Required if user_id is not provided.
Response
Successful retrieval of workbooks and their saved items
List of workbooks and their associated saved flows
Show child attributes
Show child attributes
Was this page helpful?
⌘I
